/*
  Displays static composition of colors

  Example ready to use with Arduino Uno.
  To use with other boards, replace pin numbers accordingly.
*/

#include <Adafruit_NeoPixel.h>

Adafruit_NeoPixel strip(30, 3, NEO_GRB + NEO_KHZ800);

int brightness = 100;

void setColors() {
  for(int i = 0; i < strip.numPixels(); i++) {
    if (i < strip.numPixels() / 3) {
      strip.setPixelColor(i, strip.Color(brightness, 0, 0));
    } else if (i < 2 * strip.numPixels() / 3) {
      strip.setPixelColor(i, strip.Color(0, brightness, 0));
    } else {
      strip.setPixelColor(i, strip.Color(0, 0, brightness));
    }
  }
}

void setup() {
  strip.begin();
  setColors();
  strip.show();
}

void loop() {
  
}